using System;
using System.Xml;

namespace XmlNodeInnerText
{
	/// <summary>
	/// Zusammenfassung fr TcClass1.
	/// </summary>
	class TcMainClass
	{
    private const string mXHtmlFrame
      = "<!--DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\"\r\n"
      + "\"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\"-->\r\n"
      + "<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n"
      + "<head>\r\n"
      + "<title>Message</title>\r\n"
      + "</head>\r\n"
      + "<body link=\"#0000FF\" vlink=\"#0000FF\" alink=\"#0000FF\" class=\"MainFrame\"/>\r\n"
      + "</html>\r\n";

    private const string mInnerXml
      = "<p>Es wird immer die erste Stelle des geffneten Funktionskreises angezeigt (Reihenschaltung).</p>\r\n"
      + "<p>In folgenden Byte, Bit 7...0 ist codiert um welche Strung es sich handelt.</p>\r\n"
      + "<p>01000000</p>\r\n"
      + "<table width=\"100%\" border=\"1\" cellpadding=\"1\">\r\n"
      + "  <tr>\r\n"
      + "    <td width=\"15%\" valign=\"top\" bgcolor=\"white\" >Bit 0:</td>\r\n"
      + "    <td >24 V FKO</td>\r\n"
      + "  </tr>\r\n"
      + "  <tr>\r\n"
      + "    <td width=\"15%\" valign=\"top\" bgcolor=\"white\" >Bit 1:</td>\r\n"
      + "    <td >Lasersperre (Schlsselschalter)</td>\r\n"
      + "  </tr>\r\n"
      + "  <tr>\r\n"
      + "    <td width=\"15%\" valign=\"top\" bgcolor=\"white\" >Bit 2:</td>\r\n"
      + "    <td >Kavittentaster</td>\r\n"
      + "  </tr>\r\n"
      + "  <tr>\r\n"
      + "    <td width=\"15%\" valign=\"top\" bgcolor=\"white\" >Bit 3:</td>\r\n"
      + "    <td >Haubenschalter offen </td>\r\n"
      + "  </tr>\r\n"
      + "  <tr>\r\n"
      + "    <td width=\"15%\" valign=\"top\" bgcolor=\"white\" >Bit 4:</td>\r\n"
      + "    <td >TKO</td>\r\n"
      + "  </tr>\r\n"
      + "  <tr>\r\n"
      + "    <td width=\"15%\" valign=\"top\" bgcolor=\"white\" >Bit 5:</td>\r\n"
      + "    <td >ASV</td>\r\n"
      + "  </tr>\r\n"
      + "  <tr>\r\n"
      + "    <td width=\"15%\" valign=\"top\" bgcolor=\"white\" >Bit 6:</td>\r\n"
      + "    <td >NA_OK (NOT-AUS-Kreis OK)</td>\r\n"
      + "  </tr>\r\n"
      + "  <tr>\r\n"
      + "    <td width=\"15%\" valign=\"top\" bgcolor=\"white\" >Bit 7:</td>\r\n"
      + "    <td >LPS_kann_ein (NA_OK)</td>\r\n"
      + "  </tr>\r\n"
      + "</table>\r\n";

		/// <summary>
		/// Der Haupteinstiegspunkt fr die Anwendung.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
      XmlDocument xDoc = new XmlDocument();
      xDoc.LoadXml(mXHtmlFrame);

      XmlNode xBody = null;
      XmlNodeList test = xDoc.DocumentElement.SelectNodes("*");
      foreach(XmlNode node in test)
      {
        if( node.Name=="body" )
        {
          xBody = node;
          break;
        }
      }
      if( null!=xBody )
      {
        try
        {
          xBody.InnerXml = mInnerXml;

          Console.WriteLine("------------------------------------------------------------------------------");
          Console.WriteLine("Original XML-Content:");
          Console.WriteLine(mInnerXml);
          Console.WriteLine("------------------------------------------------------------------------------");
          Console.WriteLine("Created XML-Content:");
          Console.WriteLine(xBody.InnerXml);
          Console.WriteLine("------------------------------------------------------------------------------");

        }
        catch( Exception ex )
        {
          Console.WriteLine("Error: assigning InnerXml - {0}", ex.Message);
        }
      }
      else
      {
        Console.WriteLine("Error: selecting single node <body> !");
      }
		}
	}
}
